Package groovy.util

# Class ObjectGraphBuilder.DefaultClassNameResolver

java.lang.Object
groovy.util.ObjectGraphBuilder.DefaultClassNameResolver

All Implemented Interfaces:
  `ObjectGraphBuilder.ClassNameResolver`

Enclosing class:
  `ObjectGraphBuilder`

public static class ObjectGraphBuilder.DefaultClassNameResolver extends Object implements ObjectGraphBuilder.ClassNameResolver
Default impl that capitalizes the classname.

## Constructor Summary

Constructors
Constructor
Description
`DefaultClassNameResolver()`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveClassname(String classname)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultClassNameResolver

public DefaultClassNameResolver()

## Method Details

### resolveClassname

public String resolveClassname(String classname)

Specified by:
  `resolveClassname` in interface `ObjectGraphBuilder.ClassNameResolver`
Parameters:
  `classname` - the node name as written on the building code